Bug 1118201 - owncloud: EPEL7 build
Summary: owncloud: EPEL7 build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: owncloud
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 08:13 UTC by Guido Berhoerster
Modified: 2014-12-14 22:07 UTC (History)
5 users (show)

Fixed In Version: php-channel-phpseclib-1.3-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-14 22:07:27 UTC


Attachments (Terms of Use)

Description Guido Berhoerster 2014-07-10 08:13:19 UTC
Please build owncloud for EPEL7.

Comment 1 Adam Williamson 2014-08-09 08:48:36 UTC
It's on my todo list :) I'll have to see if the necessary deps for OC 7 are available.

Comment 2 Benjamin Pereto 2014-08-09 10:20:05 UTC
Hi,

I builded a scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7267293

The install solved me a dependency need for this pkgs, which are not in epel7 yet:

- php-ZendFramework-Pdf
- php-pear
- php-ZendFramework-Search-Lucene
- php-phpass
- php-getid3




Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-ZendFramework-Pdf
Fehler: Paket: php-phpseclib-crypt-aes-0.3.5-2.el7.noarch (epel)
            Benötigt: php-pear(phpseclib.sourceforge.net/Crypt_Rijndael) >= 0.3.0
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-pear(pear.dropbox-php.com/Dropbox)
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-pear(Crypt_Blowfish)
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-pear(Sabre_CardDAV) >= 1.7.8
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-pear(Sabre_CalDAV) >= 1.7.8
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-ZendFramework-Search-Lucene
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-phpass
Fehler: Paket: owncloud-6.0.4-3.el7.noarch (/owncloud-6.0.4-3.el7.noarch)
            Benötigt: php-getid3

Comment 3 Benjamin Pereto 2014-08-09 10:20:49 UTC
Sorry, i didn't see that you would build OC7, not OC6

Comment 4 Adam Williamson 2014-08-22 01:16:39 UTC
most of those deps are still around, though.

Comment 5 Adam Williamson 2014-10-30 00:40:50 UTC
php-ZendFramework is still missing, though the branch is there in git. I've poked Felix on IRC to ask if he can build it.

php-pear should be in the core EL 7 repo, I think.

php-phpass is in EPEL 7 now.

Remi has just in the last couple of days built php-getid3:

https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3595/php-getid3-1.9.8-2.el7

AFAICS all the new deps of OC 7 seem to be more or less present. The one exception seems to be php-dropbox-php-Dropbox ; siwinski picked that one up from Gregor, so I will ask him to get an EL 7 branch and do a build.

After that I'll look at doing an OC 7 build.

Comment 6 Fedora Update System 2014-11-06 17:32:52 UTC
owncloud-7.0.2-4.el7,php-phpseclib-net-ssh2-0.3.5-3.el7,php-phpseclib-net-sftp-0.3.5-2.el7,php-phpseclib-math-biginteger-0.3.5-2.el7,php-phpseclib-crypt-twofish-0.3.5-3.el7,php-phpseclib-crypt-tripledes-0.3.5-3.el7,php-phpseclib-crypt-rsa-0.3.5-3.el7,php-phpseclib-crypt-rijndael-0.3.5-3.el7,php-phpseclib-crypt-rc4-0.3.5-2.el7,php-phpseclib-crypt-random-0.3.5-2.el7,php-phpseclib-crypt-hash-0.3.5-2.el7,php-phpseclib-crypt-des-0.3.5-3.el7,php-phpseclib-crypt-blowfish-0.3.5-4.el7,php-channel-phpseclib-1.3-1.el7,php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7,php-dropbox-php-Dropbox-1.0.0-6.el7,php-channel-dropbox-php-1.3-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/owncloud-7.0.2-4.el7,php-phpseclib-net-ssh2-0.3.5-3.el7,php-phpseclib-net-sftp-0.3.5-2.el7,php-phpseclib-math-biginteger-0.3.5-2.el7,php-phpseclib-crypt-twofish-0.3.5-3.el7,php-phpseclib-crypt-tripledes-0.3.5-3.el7,php-phpseclib-crypt-rsa-0.3.5-3.el7,php-phpseclib-crypt-rijndael-0.3.5-3.el7,php-phpseclib-crypt-rc4-0.3.5-2.el7,php-phpseclib-crypt-random-0.3.5-2.el7,php-phpseclib-crypt-hash-0.3.5-2.el7,php-phpseclib-crypt-des-0.3.5-3.el7,php-phpseclib-crypt-blowfish-0.3.5-4.el7,php-channel-phpseclib-1.3-1.el7,php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7,php-dropbox-php-Dropbox-1.0.0-6.el7,php-channel-dropbox-php-1.3-5.el7

Comment 7 Fedora Update System 2014-11-09 15:42:51 UTC
Package owncloud-7.0.2-4.el7, php-phpseclib-net-ssh2-0.3.5-3.el7, php-phpseclib-net-sftp-0.3.5-2.el7, php-phpseclib-math-biginteger-0.3.5-2.el7, php-phpseclib-crypt-twofish-0.3.5-3.el7, php-phpseclib-crypt-tripledes-0.3.5-3.el7, php-phpseclib-crypt-rsa-0.3.5-3.el7, php-phpseclib-crypt-rijndael-0.3.5-3.el7, php-phpseclib-crypt-rc4-0.3.5-2.el7, php-phpseclib-crypt-random-0.3.5-2.el7, php-phpseclib-crypt-hash-0.3.5-2.el7, php-phpseclib-crypt-des-0.3.5-3.el7, php-phpseclib-crypt-blowfish-0.3.5-4.el7, php-channel-phpseclib-1.3-1.el7, php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7, php-dropbox-php-Dropbox-1.0.0-6.el7, php-channel-dropbox-php-1.3-5.el7, php-phpseclib-crypt-aes-0.3.5-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing owncloud-7.0.2-4.el7 php-phpseclib-net-ssh2-0.3.5-3.el7 php-phpseclib-net-sftp-0.3.5-2.el7 php-phpseclib-math-biginteger-0.3.5-2.el7 php-phpseclib-crypt-twofish-0.3.5-3.el7 php-phpseclib-crypt-tripledes-0.3.5-3.el7 php-phpseclib-crypt-rsa-0.3.5-3.el7 php-phpseclib-crypt-rijndael-0.3.5-3.el7 php-phpseclib-crypt-rc4-0.3.5-2.el7 php-phpseclib-crypt-random-0.3.5-2.el7 php-phpseclib-crypt-hash-0.3.5-2.el7 php-phpseclib-crypt-des-0.3.5-3.el7 php-phpseclib-crypt-blowfish-0.3.5-4.el7 php-channel-phpseclib-1.3-1.el7 php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7 php-dropbox-php-Dropbox-1.0.0-6.el7 php-channel-dropbox-php-1.3-5.el7 php-phpseclib-crypt-aes-0.3.5-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3903/owncloud-7.0.2-4.el7,php-phpseclib-net-ssh2-0.3.5-3.el7,php-phpseclib-net-sftp-0.3.5-2.el7,php-phpseclib-math-biginteger-0.3.5-2.el7,php-phpseclib-crypt-twofish-0.3.5-3.el7,php-phpseclib-crypt-tripledes-0.3.5-3.el7,php-phpseclib-crypt-rsa-0.3.5-3.el7,php-phpseclib-crypt-rijndael-0.3.5-3.el7,php-phpseclib-crypt-rc4-0.3.5-2.el7,php-phpseclib-crypt-random-0.3.5-2.el7,php-phpseclib-crypt-hash-0.3.5-2.el7,php-phpseclib-crypt-des-0.3.5-3.el7,php-phpseclib-crypt-blowfish-0.3.5-4.el7,php-channel-phpseclib-1.3-1.el7,php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7,php-dropbox-php-Dropbox-1.0.0-6.el7,php-channel-dropbox-php-1.3-5.el7,php-phpseclib-crypt-aes-0.3.5-2.el7
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-11-12 23:14:54 UTC
Package php-channel-phpseclib-1.3-1.el7, php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7, php-dropbox-php-Dropbox-1.0.0-6.el7, php-channel-dropbox-php-1.3-5.el7, owncloud-7.0.3-2.el7, php-phpseclib-net-ssh2-0.3.9-1.el7, php-phpseclib-net-sftp-0.3.9-1.el7, php-phpseclib-math-biginteger-0.3.9-1.el7, php-phpseclib-crypt-twofish-0.3.9-2.el7, php-phpseclib-crypt-tripledes-0.3.9-2.el7, php-phpseclib-crypt-rsa-0.3.9-1.el7, php-phpseclib-crypt-rijndael-0.3.9-2.el7, php-phpseclib-crypt-rc4-0.3.9-2.el7, php-phpseclib-crypt-random-0.3.9-1.el7, php-phpseclib-crypt-hash-0.3.9-1.el7, php-phpseclib-crypt-des-0.3.9-2.el7, php-phpseclib-crypt-blowfish-0.3.9-2.el7, php-phpseclib-crypt-aes-0.3.9-1.el7, php-phpseclib-crypt-base-0.3.9-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-channel-phpseclib-1.3-1.el7 php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7 php-dropbox-php-Dropbox-1.0.0-6.el7 php-channel-dropbox-php-1.3-5.el7 owncloud-7.0.3-2.el7 php-phpseclib-net-ssh2-0.3.9-1.el7 php-phpseclib-net-sftp-0.3.9-1.el7 php-phpseclib-math-biginteger-0.3.9-1.el7 php-phpseclib-crypt-twofish-0.3.9-2.el7 php-phpseclib-crypt-tripledes-0.3.9-2.el7 php-phpseclib-crypt-rsa-0.3.9-1.el7 php-phpseclib-crypt-rijndael-0.3.9-2.el7 php-phpseclib-crypt-rc4-0.3.9-2.el7 php-phpseclib-crypt-random-0.3.9-1.el7 php-phpseclib-crypt-hash-0.3.9-1.el7 php-phpseclib-crypt-des-0.3.9-2.el7 php-phpseclib-crypt-blowfish-0.3.9-2.el7 php-phpseclib-crypt-aes-0.3.9-1.el7 php-phpseclib-crypt-base-0.3.9-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3903/owncloud-7.0.3-2.el7,php-phpseclib-net-ssh2-0.3.9-1.el7,php-phpseclib-net-sftp-0.3.9-1.el7,php-phpseclib-math-biginteger-0.3.9-1.el7,php-phpseclib-crypt-twofish-0.3.9-2.el7,php-phpseclib-crypt-tripledes-0.3.9-2.el7,php-phpseclib-crypt-rsa-0.3.9-1.el7,php-phpseclib-crypt-rijndael-0.3.9-2.el7,php-phpseclib-crypt-rc4-0.3.9-2.el7,php-phpseclib-crypt-random-0.3.9-1.el7,php-phpseclib-crypt-hash-0.3.9-1.el7,php-phpseclib-crypt-des-0.3.9-2.el7,php-phpseclib-crypt-blowfish-0.3.9-2.el7,php-channel-phpseclib-1.3-1.el7,php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7,php-dropbox-php-Dropbox-1.0.0-6.el7,php-channel-dropbox-php-1.3-5.el7,php-phpseclib-crypt-aes-0.3.9-1.el7,php-phpseclib-crypt-base-0.3.9-1.el7
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-11-27 18:08:42 UTC
Package php-channel-phpseclib-1.3-1.el7, php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7, php-dropbox-php-Dropbox-1.0.0-6.el7, php-channel-dropbox-php-1.3-5.el7, php-phpseclib-net-ssh2-0.3.9-1.el7, php-phpseclib-net-sftp-0.3.9-1.el7, php-phpseclib-math-biginteger-0.3.9-1.el7, php-phpseclib-crypt-twofish-0.3.9-2.el7, php-phpseclib-crypt-tripledes-0.3.9-2.el7, php-phpseclib-crypt-rsa-0.3.9-1.el7, php-phpseclib-crypt-rijndael-0.3.9-2.el7, php-phpseclib-crypt-rc4-0.3.9-2.el7, php-phpseclib-crypt-random-0.3.9-1.el7, php-phpseclib-crypt-hash-0.3.9-1.el7, php-phpseclib-crypt-des-0.3.9-2.el7, php-phpseclib-crypt-blowfish-0.3.9-2.el7, php-phpseclib-crypt-aes-0.3.9-1.el7, php-phpseclib-crypt-base-0.3.9-1.el7, owncloud-7.0.3-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-channel-phpseclib-1.3-1.el7 php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7 php-dropbox-php-Dropbox-1.0.0-6.el7 php-channel-dropbox-php-1.3-5.el7 php-phpseclib-net-ssh2-0.3.9-1.el7 php-phpseclib-net-sftp-0.3.9-1.el7 php-phpseclib-math-biginteger-0.3.9-1.el7 php-phpseclib-crypt-twofish-0.3.9-2.el7 php-phpseclib-crypt-tripledes-0.3.9-2.el7 php-phpseclib-crypt-rsa-0.3.9-1.el7 php-phpseclib-crypt-rijndael-0.3.9-2.el7 php-phpseclib-crypt-rc4-0.3.9-2.el7 php-phpseclib-crypt-random-0.3.9-1.el7 php-phpseclib-crypt-hash-0.3.9-1.el7 php-phpseclib-crypt-des-0.3.9-2.el7 php-phpseclib-crypt-blowfish-0.3.9-2.el7 php-phpseclib-crypt-aes-0.3.9-1.el7 php-phpseclib-crypt-base-0.3.9-1.el7 owncloud-7.0.3-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3903/owncloud-7.0.3-3.el7,php-phpseclib-net-ssh2-0.3.9-1.el7,php-phpseclib-net-sftp-0.3.9-1.el7,php-phpseclib-math-biginteger-0.3.9-1.el7,php-phpseclib-crypt-twofish-0.3.9-2.el7,php-phpseclib-crypt-tripledes-0.3.9-2.el7,php-phpseclib-crypt-rsa-0.3.9-1.el7,php-phpseclib-crypt-rijndael-0.3.9-2.el7,php-phpseclib-crypt-rc4-0.3.9-2.el7,php-phpseclib-crypt-random-0.3.9-1.el7,php-phpseclib-crypt-hash-0.3.9-1.el7,php-phpseclib-crypt-des-0.3.9-2.el7,php-phpseclib-crypt-blowfish-0.3.9-2.el7,php-channel-phpseclib-1.3-1.el7,php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7,php-dropbox-php-Dropbox-1.0.0-6.el7,php-channel-dropbox-php-1.3-5.el7,php-phpseclib-crypt-aes-0.3.9-1.el7,php-phpseclib-crypt-base-0.3.9-1.el7
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-12-14 22:07:27 UTC
php-channel-phpseclib-1.3-1.el7, php-pear-Crypt-Blowfish-1.1.0-0.10.rc2.el7, php-dropbox-php-Dropbox-1.0.0-6.el7, php-channel-dropbox-php-1.3-5.el7, php-phpseclib-net-ssh2-0.3.9-1.el7, php-phpseclib-net-sftp-0.3.9-1.el7, php-phpseclib-math-biginteger-0.3.9-1.el7, php-phpseclib-crypt-twofish-0.3.9-2.el7, php-phpseclib-crypt-tripledes-0.3.9-2.el7, php-phpseclib-crypt-rsa-0.3.9-1.el7, php-phpseclib-crypt-rijndael-0.3.9-2.el7, php-phpseclib-crypt-rc4-0.3.9-2.el7, php-phpseclib-crypt-random-0.3.9-1.el7, php-phpseclib-crypt-hash-0.3.9-1.el7, php-phpseclib-crypt-des-0.3.9-2.el7, php-phpseclib-crypt-blowfish-0.3.9-2.el7, php-phpseclib-crypt-aes-0.3.9-1.el7, php-phpseclib-crypt-base-0.3.9-1.el7, owncloud-7.0.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.